{% extends "base-login.html" %}
{% block content %}

<!-- recover_password_page -->

<div class="card">
  <div class="card-body">
    <h1 class="display-6 mt-3">{{ _("Recover password") }}</h1>
    <p class="mt-4 mb-3">{{ _("Please enter your email address.") }}</p>
    <p class="">{{ _("You will receive an email with a link to reset your password.") }}</p>
    <form method="POST">
      {{ wtform.csrf_token }}
      <div class="form-floating mt-4">
        {{ wtform.email( class_="form-control",
                          placeholder=_('Email'))
        }}
        {{ wtform.email.label( for="email" ) }}
        {% for error in wtform.email.errors %}
            <span class="invalid-feedback wtf-error ds-error-message">{{ error }}</span>
        {% endfor %}
      </div>
      <div class="d-grid my-4">
        <button class="btn btn-primary" type="submit">{{ _("Recover") }}</button>
      </div>
    </form>
  </div>
  <div class="card-footer">
    <p class="mb-1">
      <small>
        <a href="/"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-chevron-left" aria-hidden="true"><polyline points="15 18 9 12 15 6"></polyline></svg>{{ _("Back to %(sitename)s", sitename=g.site.name) }}</a>
      </small>
    </p>
  </div>
</div>

<script>
$(function () {
  $('form').parsley().on('form:validate', function() {
    $('span[class=wtf-error]').remove()
  })
})
</script>

{% endblock %}
